[Japanese]

JVNDB-2014-000072

Seasar S2Struts vulnerable to ClassLoader manipulation

Overview

Seasar S2Struts provided by The Seasar Foundation is a software framework for creating Java web applications. Seasar S2Struts bundles Apache Struts that is vulnerable to the ClassLoader manipulation (CVE-2014-0114). Consequently, Seasar S2Struts contains the same vulnerability.

Cybozu, Inc. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 7.5 (High) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: Partial

Affected Products


The Seasar Foundation
  • S2Struts 1.2.12 and earlier
  • S2Struts 1.3.1 and earlier

Impact

On a server where Seasar S2Struts is running, a remote attacker may obtain information or execute arbitrary code.
Solution

[Update the Software]
Update the software according to the information provided by the developer.
Vendor Information

The Seasar Foundation
CWE (What is CWE?)

  1. No Mapping(CWE-DesignError) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2014-3893
References

  1. JVN : JVN#19118282
Revision History

[2014/07/15]
  Web page was published